{% macro links_table(query_results, storage_bucket) %}
<table class="govuk-table">
        <thead class="govuk-table__head">
        <tr class="govuk-table__row">
            <th scope="col" class="govuk-table__header">Hash</th>
            <th scope="col" class="govuk-table__header">Pool</th>
            <th scope="col" class="govuk-table__header">Footer text</th>
            <th scope="col" class="govuk-table__header">Footer link</th>
            <th scope="col" class="govuk-table__header">Longevity</th>
            <th scope="col" class="govuk-table__header">Created</th>
            <th scope="col" class="govuk-table__header">Expiry</th>
        </tr>
        </thead>
        <tbody class="govuk-table__body">
        {% for row in query_results %}
            <tr class="govuk-table__row">
                <td class="govuk-table__cell">
                    <a href="https://storage.googleapis.com/{{ storage_bucket }}/{{ row.id | hashid }}.html"
                       target="_gsc">
                        {{ row.id | hashid }}
                    </a>
                </td>
                <td class="govuk-table__cell">{{ row.pool }}</td>
                <td class="govuk-table__cell">{{ row.footer_text | default("👆🌐✨") }}</td>
                <td class="govuk-table__cell">{{ row.footer_link | default("Mirror link") }}</td>
                <td class="govuk-table__cell">
                    {% if row.expiry_days == 90 %}
                        <strong class="govuk-tag govuk-tag--turquoise">Long</strong>
                    {% else %}
                        <strong class="govuk-tag govuk-tag--purple">Short</strong>
                    {% endif %}
                </td>
                <td class="govuk-table__cell">{{ ("" ~ row.created_at)[:-10] }}</td>
                <td class="govuk-table__cell">{{ ("" ~ row.expires_at)[:-10] }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endmacro %}